<?php
function mo_saml_show_addons_page(){
    require_once( ABSPATH . '/wp-admin/includes/plugin.php' );
    $addons_displayed = array();
    ?>
    <div id="miniorange-addons" style="position:relative;z-index: 1">
        <p id="recommended_section" style="font-size:20px;padding-left:10px;margin-top:5px;display:none"><b>Recommended Add-ons for you:</b></p>

        <?php
        foreach(mo_saml_options_addons::$RECOMMENDED_ADDONS_PATH as $key => $value){
            if (is_plugin_active($value)) {
                $addon = $key;
                $addons_displayed[$addon] = $addon;
                echo get_addon_tile($addon, mo_saml_options_addons::$ADDON_TITLE[$addon],mo_saml_options_addons::$ADDON_DESC[$addon], mo_saml_options_addons::$ADDON_URL[$addon], true);
            }
        }
        if(!empty($addons_displayed)){
            ?>
            <script>
                document.getElementById("recommended_section").style.removeProperty("display");
            </script>
            <hr class="recommended_section" style="clear:both;color: blue;visibility: hidden;">
            <br/>
            <?php
        }
        ?>
        <p style="font-size:20px;padding-left:10px;margin-top:5px;"><b>Check out all our add-ons:</b></p>

        <?php
        foreach (mo_saml_options_addons::$ADDON_DESC as $key => $value) {
            if(!in_array($key, $addons_displayed))
                echo get_addon_tile($key, mo_saml_options_addons::$ADDON_TITLE[$key],$value, mo_saml_options_addons::$ADDON_URL[$key], false);
        }
        ?>
    </div> <?php
}

function get_addon_tile($addon_name, $addon_title, $addon_desc, $addon_url, $active){
    $icon_url = plugins_url("images/addons_logos/" . $addon_name .".png", __FILE__);
    ?>
    <div class="row">
        <div class="grid_view"> <?php
        if($active){ ?>
            <div class="card text-xs-center"> <?php
        } else { ?>
                <div class="card"> <?php
        } ?>
                    <div class="addon-header">
                        <img src="<?php echo $icon_url ?>" class="addon-img">
                        <div class="addon-heading">
                            <div class="card-title"> <?php echo $addon_title ?> </div>
                        </div>
                    </div>
                    <div style="width:100%;">
                        <p class="card-text"><?php echo $addon_desc ?></p>
                        <div><button class="btn-addon btn-addon-grad" onclick="window.open('<?php echo $addon_url ?>');">Learn More</button></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}
?>